Bug 170091 - [testcase] offsetParent of a position:fixed node should be null (CSSOM View Module compliance)
Summary: [testcase] offsetParent of a position:fixed node should be null (CSSOM View M...
Status: VERIFIED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml parsing (show other bugs)
Version: 4.1.0
Platform: Microsoft Windows Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL: http://www.gtalbot.org/BrowserBugsSec...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-30 18:41 UTC by Gérard Talbot (no longer involved)
Modified: 2008-12-06 20:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gérard Talbot (no longer involved) 2008-08-30 18:41:21 UTC
offsetParent of nodeA when nodeA is a position: fixed element should be null.

If the computed value of the position property for nodeA is fixed, then nodeA.offsetParent returns null.

Testcase:
http://www.gtalbot.org/BrowserBugsSection/MSIE8Bugs/CSSOM-offsetParent-prop.html#ThirdTest

Actual result in Konqueror 4.1 Windows:
document.getElementById("PositionFixedElem").offsetParent = [object HTMLHtmlElement]

Reference:
http://www.w3.org/TR/cssom-view/#offset-attributes

Regards, Gérard
Comment 1 Germain Garand 2008-08-30 20:06:08 UTC
wow. I had no idea there was a draft spec for those. Good news.
Comment 2 Maksim Orlovich 2008-08-30 20:08:23 UTC
Germain: if you're looking at this, could you please look at bug #170055 as well?
Comment 3 Germain Garand 2008-08-30 20:43:03 UTC
yes I was precisely investigating your logging testcase when I saw this reference to a specification. Should make things much easier, assuming this draft is accurate.
Comment 4 Germain Garand 2008-09-25 01:55:11 UTC
SVN commit 864534 by ggarand:

fix offsetTop/Left/Parent properties to be more in conformance with draft
CSSOM View module specification.

http://www.w3.org/TR/cssom-view/#offset-attributes

brings better compatibility as  a bonus.

BUG: 170091, 170055
Comment 5 Gérard Talbot (no longer involved) 2008-12-06 20:46:41 UTC
Konqueror 4.1.2 passes this test.

Marking as VERIFIED